WESNOTHD(6)

NOME
wesnothd - Demone di rete per multigiocatore di Battle for Wesnothwesnothd - Demone di rete per multigiocatore di Battle for Wesnoth

SYNOPSIS
wesnothd [-dvV] [-c percorso] [-p porta] [-t numero] [-T numero]
wesnothd -V

DESCRIZIONE
Gestisce le partite multigiocatore di Battle for Wesnoth. Vedi http://www.wesnoth.org/wiki/ServerAdministration per sapere quali comandi sono accettati dal server attraverso il client di wesnoth (/query ...) o il socket.

OPZIONI

-c percorso, --config percorso
    indica a wesnothd dove trovare il file di configurazione da usare. Vedi la sezione SERVER CONFIG più avanti per la sintassi. Puoi ricaricare la configurazione inviando un segnale SIGHUP al processo del server.

-d, --daemon
    carica wesnothd come demone.

-h, --help
    spiega che cosa fanno le opzioni da linea di comando.

--log-livello=dominio1,dominio2,...
    imposta il livello di severità dei domini di debug. Puoi usare all per qualsiasi dominio di debug. Livelli disponibili: error, warning, info, debug. Normalmente è usato il livello error ed il livello info è usato per il dominio del server.

-p porta, --port porta
    lega il server ad una porta specifica. Se non viene specificata una porta, sarà usata la porta 15000.

-t numero, --threads numero
    imposta il numero massimo di thread da usare per l'I/O (valore predefinito: 5, massimo: 30).

-T numero, --max-threads numero
    imposta il numero massimo di thread da creare. Se vale 0 non c'è limite (valore predefinito: 0).

-V, --version
    visualizza il numero di versione ed esce.

-v, --verbose
    rende più prolisso il log.

SERVER CONFIG

  La sintassi generale è:

[tag]

    key="value"

    key="value,value,..."

[/tag]

  Caratteri globali:

allow_remote_shutdown
    Se impostato su no (default), le richieste di spegnimento e ripartenza vengono ignorate a meno che non provengano dal socket. Impostalo a yes per poter spengere remotamente il server con una /query di un amministratore.

ban_save_file
    Percorso completo o relativo ad un file (compresso con gzip) che il server possa scrivere e leggere. L'elenco degli utenti messi al bando sarà conservato in questo file e letto a tutti gli avvii del server.Percorso completo o relativo ad un file (compresso con gzip) che il server possa scrivere e leggere. L'elenco degli utenti messi al bando sarà conservato in questo file e letto a tutti gli avvii del server.

compress_stored_rooms
    Determina se i file delle stanze debbano essere letti e scritti in forma compressa. Normalmente vale yes.

connections_allowed
    Il numero di connessioni permesse dallo stesso IP. 0 indica infinite connessioni (valore predefinito: 5).

disallow_names
    I nomi o nick che non sono accettati dal server. Si possono usare i caratteri jolly * e ?. Vedi glob(7) per maggiori dettagli. I valori predefiniti (usati in mancanza di specifiche diverse) sono: *admin*,*admln*,*server*,ai,ai?,computer,human,network,player.

fifo_path
    Il path della fifo alla quale inviare i comandi del server (come in /query ... per wesnoth). Se non diversamente specificato invia allo standard utilizzato come path al momento della compilazione del sorgente (default: /var/run/socket/wesnothd/socket).

max_messages
    Il numero di messaggi permessi in un periodo di messages_time_period (valore predefinito: 4).

messages_time_period
    Il periodo di tempo (in secondi) entro il quale rilevare un'inondazione di messaggi (valore predefinito: 10 secondi).

motd
    Il messaggio del giorno.

new_room_policy
    Stabilisce chi possa creare nuove stanze sul server. Valori possibli sono everyone, registered, admin e nobody per concedere i permessi rispettivamente a tutti, ad utenti registrati, ad utenti amministratori o per disabilitare la creazione di nuove stanze. Il valore di default è everyone.

passwd
    La password da usare per ottenere i privilegi di amministratore (con /query admin password).

percorso_salvataggio_replay
    La directory in cui il server conserva i replay delle partite (Non dimenticare la barra «/» alla fine!). In assenza di modifiche, vale «», che significa la directory da cui è stato eseguito wesnothd.

restart_command
    Il comando che il server utilizza per lanciare un muovo processo server cramite il comando restart. Può essere inviato soltanto tramite la fifo. Per dettagli, vedi i setaggi di allow_remote_shutdown.

room_save_file
    Percorso del file in cui memorizzare le informazioni sulle stanze. Questo file è letto all'avvio del server e vi viene scritto in seguito. Se è vuoto o non impostato, le stanze non saranno caricate o salvate.

salva_replays
    Definisce se il server salverà automaticamente i replay delle partite. (normalmente: false)

versions_accepted
    Un elenco separato da virgole delle stringhe di versione che il server deve accettare. I caratteri jolly * e ? sono ammessi (il valore predefinito è lo stesso della versione di wesnoth corrispondente).
    Esempio: versions_accepted="*" accetta tutte le stringhe di versione.

user_handler
    Il nome dello user handler da utilizzare. Attualmente gli user handler disponibili sono forum (per connettere wesnothd ad un forum con database phpbb) e sample (una implementazione di esempio di una interfaccia user handler; Usarla per qualcosa di real è semplicemente una cosa da pazzi). il valore di default è forum. Va anche aggiunto una sezione [user_handler], vedi sotto.

  Tag globali:

[redirect] Un tag per specificare un server a cui redirigere certe versioni di client.

    host
        Indirizzo del server a cui reindirizzare i collegamenti

    port
        Porta su cui connettersi

    version
        Una lista separata da virgole delle versioni daredirigere. Si comporta come versions_accepted per quello che riguarda lo schema dei caratteri jolly.

[ban_time] Un'etichetta per definire parole chiave comode per periodi di messa al bando temporanei.

    nome
        Il nome usato per fare riferimento al periodo di messa al bando.

    periodo
        Definizione del formato per la rappresentazione del periodo. Il formato è %d[%s[%d%s[...]]] dove %s sono s (secondi), m (minuti), h (ore), D (giorni), M (mesi) o Y (anni) e %d è un numero. Se non vengono specificati modificatori ri tempo, il valore si assume essere espresso in minuti (m). Ad esempio: time="1D12h30m" ha come risultato un periodo di messa al bando di 1 giorno, 12 ore e 30 minutei.

[proxy] Un tag che indica al server di fare da proxy e di inoltrare le richieste dei client connessi al server specificato. Accetta le stesse parole chiave di [redirect].

[user_handler] Configura lo user handler. Diverse parole chiavi sono disponibili a seconda dello user handler selezionato con la chiave user_handler. Se non è presente una sezione [user_handler] nella configurazione il server verrà lanciato sena un servizio di registrazione del nick.

    db_host
        (per user_handler=forum) L'hostname del server del database

    db_name
        (per ser_handleu=forum) Il nome del database

    db_user
        (per user_handler=forum) Il nome dell'utente con cui connettersi al database

    db_password
        (per user_handler=forum) La password di questo utente

    db_users_table
        (per user_handler=forum) Il nome della tabella nella quale il vostro forum phpbb salva i dati degli utenti. Di solito questo valore è <table-prefix>_users (i.e. phpbb3_users).

    db_extra_table
        ( per user_handler=forum) Il nome della tabella nella quale il demone wesnothd salverà i suoi dati degli utenti. Questa tabella deve essere creata manualmente, i.e: CREATE TABLE <table-name>(username VARCHAR(255) PRIMARY KEY, user_lastvisit INT UNSIGNED NOT NULL DEFAULT 0, user_is_moderator TINYINT(4) NOT NULL DEFAULT 0);

    user_expiration
        (per user_handler=sample) Il tempo dopo cui un nome registrato scade (in giorni).

[mail] Configura un server SMTP attraverso il quale l'utente può inviare e-mail. Attualmente utilizzato soltanto dallo user_handler sample.

    server
        L'hostname del sever della posta

    username
        Il nome utente per connettersi al server della posta.

    password
        La password di questo utente.

    from_address
        L'indirizzo reply-to della tua posta.

    mail_port
        La porta su cui il tuo server di posta è in ascolto. Omettendo un valore, viene usata la 25.

STATO DI USCITA
Quando il server viene spento correttamente, lo stato di uscita è 0. Un stato di uscita pari a 2 indica un errore con le opzioni della linea di comando.

AUTORE
Scritto David White <davidnwhite@verizon.net>. Modificato da Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> e Soliton <soliton.de@gmail.com> w Thomas Bauhauer <thomas.baumhauer@gmailcom>. Questo manuale è stato scritto in origine da Cyril Bouthors <cyril@bouthors.org>.
Visita la pagina home ufficiale: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2013 David White <davidnwhite@verizon.net>
Questo gioco è rilasciato come Software Libero; viene rilasciato secondo i termini della licenza GPL versione 2 come pubblicata dalla Free Software Foundation. Non è fornita nessuna garanzia, né per la COMMERCIALIZZAZIONE né per l'ADEGUATEZZA AD UNO SCOPO PARTICOLARE.

SEE ALSO
wesnoth(6).